Send a chunk
PATCH
/cms/print/v2/uploads/{uploadId}
const url = 'https://api.example.com/cms/print/v2/uploads/example';const options = { method: 'PATCH', headers: {'Upload-Offset': '1', 'API-Key': '<API-Key>', 'Token-User': '<Token-User>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://api.example.com/cms/print/v2/uploads/example \ --header 'API-Key: <API-Key>' \ --header 'Token-User: <Token-User>' \ --header 'Upload-Offset: 1'The raw bytes, starting at Upload-Offset, which must equal the bytes received so far (otherwise 409 with the current offset). Chunks of up to uploadChunkBytes (GET /cms/print/v2/config).
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”uploadId
required
string
Header Parameters
Section titled “Header Parameters”Upload-Offset
required
integer
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/octet-stream
Responses
Section titled “Responses”Chunk stored; complete is true after the last one
OFFSET_MISMATCH